[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# IProviderSupport.PSIsSQLSupported

Can the dataset support SQL statements

## Declaration

Source position: db.pas line 1430

`function IProviderSupport.PSIsSQLSupported: Boolean;`

## Function result

Can SQL statements be executed or not

## Description

PSIsSQLSupported returns True if PSExecuteCommand can be used to execute SQL statements on the underlying database.

## See also

PSExecuteCommand